Bug 447312 - Add a "Forget File"/"Forget Location" context menu action to remove individual history items in recentlyused:/
Summary: Add a "Forget File"/"Forget Location" context menu action to remove individua...
Status: RESOLVED FIXED
Alias: None
Product: frameworks-kio
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Archlinux Packages Linux
: NOR wishlist
Target Milestone: ---
Assignee: KIO Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-20 22:15 UTC by Al Schaapman
Modified: 2022-06-01 20:27 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 22.08


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Al Schaapman 2021-12-20 22:15:02 UTC
SUMMARY
Currently I am only aware of a context menu action (or any other method, for that matter) to remove an individual file from recentlyused:/ in the "Recent Files" section of Application Launcher and its alternatives. This leaves non-users of these widgets with no method to manage file history at the level of individual history items, and ALL users with no method to manage location history at the level of individual history items. I think that Dolphin should have context menu actions for each of these operations in recentlyused:/files/ and recentlyused:/locations/.

SOFTWARE/OS VERSIONS
Linux/KDE Plasma: Arch Linux 
(available in About System)
KDE Plasma Version: 5.23.4
KDE Frameworks Version: 5.89.0
Qt Version: 5.15.2
Comment 2 Méven Car 2022-05-31 20:35:39 UTC
Git commit ea6a8ff0e1355ac6fb8937b6be6cc81cfd4b9728 by Méven Car.
Committed on 31/05/2022 at 20:33.
Pushed by meven into branch 'master'.

Add ForgetFileItemAction

M  +9    -0    recentlyused/CMakeLists.txt
A  +80   -0    recentlyused/forgetfileitemaction.cpp     [License: LGPL(3+eV) LGPL(v3.0) LGPL(v2.1)]
A  +29   -0    recentlyused/forgetfileitemaction.h     [License: LGPL(3+eV) LGPL(v3.0) LGPL(v2.1)]
A  +15   -0    recentlyused/forgetfileitemaction.json
M  +11   -5    recentlyused/recentlyused.cpp
M  +8    -4    recentlyused/recentlyused.h
M  +0    -1    recentlyused/recentlyused.json

https://invent.kde.org/network/kio-extras/commit/ea6a8ff0e1355ac6fb8937b6be6cc81cfd4b9728